* data for figure 8
* David Card, Ana Rute Cardoso, Joerg Heining, Patrick Kline
* jole 2017

clear all
capture log close
set more 1

log using ../logs/7graphs_bins_info.log, replace

use ..\data\workers_all_info_rolefirmCKC_05_09.dta, clear
keep if setfirmsk0509==3 & avlVApe0509!=.

gen relfe = fe_mhigh - fe_mlow
gen relemp = log(Nobs_mhigh) - log(Nobs_mlow)

label variable relfe "firm eff high skill - firm eff low skill, firm j"
label variable relemp "log Nobs high skill - log Nobs low skill, firm j"

gen lwage_mlow  = lwage if gender==0 & skillmode==1
gen lwage_mhigh = lwage if gender==0 & skillmode==2
gen lwage_m = lwage if gender==0

gen lwage_flow  = lwage if gender==1 & skillmode==1
gen lwage_fhigh = lwage if gender==1 & skillmode==2
gen lwage_f = lwage if gender==1

gen mlow=1  if gender==0 & skillmode==1
gen mhigh=1 if gender==0 & skillmode==2
gen m=1     if gender==0
gen flow=1  if gender==1 & skillmode==1
gen fhigh=1 if gender==1 & skillmode==2
gen f=1     if gender==1

bys idfirm: gen firm=1 if _n==1

foreach v in mlow mhigh m flow fhigh f {
	bys idfirm: egen emp`v'=total(`v')
}

egen pctls_avlVApe0509 = cut(avlVApe0509), group(100)    
label variable pctls_avlVApe0509 "bins avlVApe0509, on workers 2005-09, firms VA05-09 & sales04-10 never miss, dual conn. set 2 skills"

collapse relfe relemp fe_mlow fe_mhigh fe_m fe_f pe_mlow pe_mhigh pe_m pe_f lwage_mlow lwage_mhigh lwage_m lwage_flow lwage_fhigh lwage_f empmlow empmhigh empm empflow empfhigh empf avlVApe (count) Nfirm=firm Nworker=idworker, by(pctls_avlVApe0509)

label variable relfe "av. (firm ef high skill - firm ef low skill)_firmj"
label variable relemp "av. (log empl high skill - log empl low skill)_firmj"

list pctls_avlVApe0509 relfe relemp fe_mlow fe_mhigh fe_m fe_f avlVApe Nfirm Nworker
list pctls_avlVApe0509 empmlow empmhigh empm empflow empfhigh empf 
list pctls_avlVApe0509 pe_mlow pe_mhigh pe_m pe_f lwage_mlow lwage_mhigh lwage_m lwage_flow lwage_fhigh lwage_f
save ..\data\pctls_avlVApe0509_rolefirmCKC_05_09.dta, replace

log close
exit, clear
