* tables 2, 4 
* David Card, Ana Rute Cardoso, Joerg Heining, Patrick Kline
* jole 2017

set more 1
program drop _all
capture log close
log using ..\logs\5models_inpaper_rolefirmCCHK.log, replace

use year idfirm idworker gender age edmode skillmode lwage Dlwage ind_1st ind3_1st lisbon_1st oporto_1st nutsm3_1st avl* D* pe_* fe_* xb_* setworker* setfirm*  using ..\data\workers_all_info_rolefirmCKC_05_09.dta, clear
keep if gender==0

ren ind_1st ind
ren ind3_1st ind3
ren nutsm3_1st nuts

gen exp=age-edmode-6
gen exp2=exp^2
gen exp3=exp^3

xi, prefix(y) i.year
xi, prefix(e) i.edmode
xi, prefix(i) i.ind
xi, prefix(i3) i.ind3
xi, prefix(n) i.nuts

forvalues y=2006(1)2009 {
foreach e in 6 9 12 16 {
	gen ed`e'yr`y' = eedmode_`e' * yyear_`y'
}
}

foreach s in mlow mhigh m {
	gen xbpe_`s' = xb_`s' + pe_`s'
}

save ..\data\tmpregs_05_09_rolefirmCCHK.dta, replace


*** table 2, "cross-section" regressions

use ..\data\tmpregs_05_09_rolefirmCCHK.dta, clear

foreach locind in "" "lisbon oporto iind*" "nnuts* i3ind*" {
foreach r in  avlVApe0509  avlsalespe0509  {
	reg lwage `r' exp exp2 exp3 eed* ed*yr* `locind' yyear*, cluster(idfirm)
}
}

foreach locind in ""  "lisbon oporto iind*" "nnuts* i3ind*" {
	ivregress 2sls lwage (avlVApe0509=avlsalespe0410) exp exp2 exp3 eed* ed*yr* `locind' yyear*, first cluster(idfirm)
}


*** table 4: "movers" regressions

use ..\data\tmpregs_05_09_rolefirmCCHK.dta, clear

global edmhigh "eedmode_16  ed16yr*"
global edmlow  "eedmode_6 eedmode_9  ed6yr* ed9yr*"
global edm     "eedmode_6 eedmode_9 eedmode_12 eedmode_16 ed6yr* ed9yr* ed12yr* ed16yr*"

foreach s in m mhigh mlow  {
	use  lwage pe_m pe_mlow pe_mhigh fe_`s' xb_`s' xbpe_`s' avlVApe0509 exp exp2 exp3 ${ed`s'} lisbon oporto iind* nnuts* i3ind* yyear* idfirm  using  ..\data\tmpregs_05_09_rolefirmCCHK.dta, clear
	keep if pe_mhigh!=. | pe_mlow!=.  
	keep if pe_`s'!=. & fe_`s'!=.

	foreach locind in "" "lisbon oporto iind*" "nnuts* i3ind*" {
	foreach yvar in  lwage pe_`s' fe_`s' xb_`s'   {
	reg `yvar' avlVApe0509 exp exp2 exp3 ${ed`s'} `locind' yyear*, cluster(idfirm)
	}
	}
}

*** table 2, stayers regressions

use  ..\data\tmpregs_05_09_rolefirmCCHK.dta, clear

bys idworker: keep if _N==5
egen sdfirm=sd(idfirm), by(idworker)
keep if sdfirm==0

xtset idworker year
gen Dlwage0509 = lwage-L4.lwage if year==2009

foreach v in eedmode_6 eedmode_9 eedmode_12 eedmode_16 {
	sort idworker year
	by idworker: gen `v'init=`v'[1]
        drop `v'
}

foreach locind in "" "lisbon oporto iind*" "nnuts* i3ind*" {
foreach r in DlVApe05_09   Dlsalespe05_09  {
	regress Dlwage0509 `r' eedmode* exp exp2 `locind', cluster(idfirm)
}
}

foreach locind in ""  "lisbon oporto iind*" "nnuts* i3ind*" {
	ivregress 2sls Dlwage0509 (DlVApe05_09=Dlsalespe04_10) eedmode* exp exp2 `locind', first  cluster(idfirm)
}

log close