*norm1 - dc, feb 1 - 2016;

options ls=120 nocenter nofmterr;
libname here '.';



data m1;
infile '~/Portugal/twoAKMs/normalization/AKMeffs1_norm.txt' dsd dlm='09'x truncover ;
input id firmid year pe1 fe1 xb1 r1 y birthyr educ firmsize;
check1=y-pe1-fe1-xb1-r1;
run;

proc means;
title1 'dual connected men - post AKM - baseline normalization';
run;

data m2;
infile '~/Portugal/twoAKMs/normalization/AKMeffs4_norm.txt' dsd dlm='09'x truncover ;
input id firmid year pe4 fe4 xb4 r4 y birthyr educ firmsize;
check4=y-pe4-fe4-xb4-r4;
drop firmid y birthyr educ firmsize;
run;

proc means;
title1 'dual connected men - post AKM - unnormalized age';
run;



proc sort data=m1;
by id year;
proc sort data=m2;
by id year;

data all;
merge m1 m2;
by id year;
age=year-birthyr;

person1=pe1+xb1; 
person4=pe4+xb4;




proc corr;
var pe1 pe4 fe1 fe4 xb1 xb4 person1 person4;



proc summary nway;
class educ birthyr year;
var y pe1 pe4 fe1 fe4 xb1 xb4 ;
output out=here.byeduc_birthyr3
mean=;

proc print data=here.byeduc_birthyr3;



